summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2026-07-07 05:53:22 +0200
committerRemi Collet <remi@php.net>2026-07-07 05:53:22 +0200
commitf6a14e76f0c11d0896c7a2668f4f35dbcf19c7ba (patch)
tree7c625683714337e7bef321f43be0c9cb20a8e0f5
parent98de6af66734dee853652b97e1630e703bb74e5a (diff)
update to 10.5.64HEADmaster
-rw-r--r--composer.json19
-rwxr-xr-xmakesrc.sh30
-rw-r--r--phpunit10.spec27
3 files changed, 43 insertions, 33 deletions
diff --git a/composer.json b/composer.json
index db3f8e4..c8cca55 100644
--- a/composer.json
+++ b/composer.json
@@ -16,6 +16,12 @@
"role": "lead"
}
],
+ "funding": [
+ {
+ "type": "other",
+ "url": "https://phpunit.de/sponsoring.html"
+ }
+ ],
"support": {
"issues": "https://github.com/sebastianbergmann/phpunit/issues",
"security": "https://github.com/sebastianbergmann/phpunit/security/policy"
@@ -24,10 +30,10 @@
"require": {
"php": ">=8.1",
"ext-dom": "*",
+ "ext-filter": "*",
"ext-json": "*",
"ext-libxml": "*",
"ext-mbstring": "*",
- "ext-xml": "*",
"ext-xmlwriter": "*",
"myclabs/deep-copy": "^1.13.4",
"phar-io/manifest": "^2.0.4",
@@ -53,6 +59,17 @@
"platform": {
"php": "8.1.0"
},
+ "policy": {
+ "malware": {
+ "audit": "fail"
+ },
+ "security-advisory": {
+ "audit": "fail"
+ },
+ "abandoned": {
+ "audit": "fail"
+ }
+ },
"classmap-authoritative": true,
"optimize-autoloader": true,
"sort-packages": true
diff --git a/makesrc.sh b/makesrc.sh
index 04ad6a0..59cf430 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,37 +1,27 @@
#!/bin/bash
NAME=$(basename $PWD)
-DATE=$(sed -n '/^%global gh_date/{s/.* //;p}' $NAME.spec)
OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
-VERSION=$(sed -n '/^%global upstream_version/{s/.* //;p}' $NAME.spec)
-MAJOR=$(sed -n '/^%global ver_major/{s/.* //;p}' $NAME.spec)
-MINOR=$(sed -n '/^%global ver_minor/{s/.* //;p}' $NAME.spec)
-COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
-SHORT=${COMMIT:0:7}
+VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
-DATE=$(date -d "$DATE -1 week" +%Y-%m-%d)
-
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
- echo "$NAME-$VERSION-$SHORT.tgz already there"
+if [ -f $NAME-$VERSION.tgz ]; then
+ echo "$NAME-$VERSION.tgz already there"
else
- echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Date=$DATE\n"
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION \n"
echo "Cloning..."
- rm -rf $PROJECT-$COMMIT
- git clone --branch $MAJOR.$MINOR --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || exit 1
+ rm -rf $PROJECT-$VERSION
+ git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
- echo "Getting commit..."
- pushd $PROJECT-$COMMIT
- git checkout $COMMIT || exit 1
- cp composer.json ../composer.json
- popd
+ echo "Getting composer..."
+ cp $PROJECT-$VERSION/composer.json composer.json
echo "Archiving..."
- tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs --exclude tools $PROJECT-$COMMIT
+ tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
echo "Cleaning..."
- rm -rf $PROJECT-$COMMIT
+ rm -rf $PROJECT-$VERSION
echo "Done."
fi
diff --git a/phpunit10.spec b/phpunit10.spec
index a59e98f..c1af834 100644
--- a/phpunit10.spec
+++ b/phpunit10.spec
@@ -19,9 +19,6 @@
%bcond_with defcmd
%endif
-%global gh_commit 33198268dad71e926626b618f3ec3966661e4d90
-%global gh_date 2026-01-27
-%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sebastianbergmann
%global gh_project phpunit
# Packagist
@@ -33,18 +30,15 @@
%global ver_major 10
%global ver_minor 5
-%global upstream_version 10.5.63
-#global upstream_prever dev
-
Name: %{pk_project}%{ver_major}
-Version: %{upstream_version}%{?upstream_prever:~%{upstream_prever}}
+Version: 10.5.64
Release: 1%{?dist}
Summary: The PHP Unit Testing framework version %{ver_major}
License: BSD-3-Clause
URL: https://github.com/%{gh_owner}/%{gh_project}
# run makesrc.sh to create a git snapshot with test suite
-Source0: %{name}-%{upstream_version}-%{gh_short}.tgz
+Source0: %{name}-%{version}.tgz
Source1: makesrc.sh
# Fix command for autoload
@@ -83,10 +77,10 @@ BuildRequires: php-fedora-autoloader-devel >= 1.0.0
# From composer.json, "require": {
# "php": ">=8.1",
# "ext-dom": "*",
+# "ext-filter": "*",
# "ext-json": "*",
# "ext-libxml": "*",
# "ext-mbstring": "*",
-# "ext-xml": "*",
# "ext-xmlwriter": "*",
# "myclabs/deep-copy": "^1.13.4",
# "phar-io/manifest": "^2.0.4",
@@ -113,7 +107,6 @@ Requires: php-dom
Requires: php-json
Requires: php-libxml
Requires: php-mbstring
-Requires: php-xml
Requires: php-xmlwriter
Requires: (php-composer(myclabs/deep-copy) >= 1.13.4 with php-composer(myclabs/deep-copy) < 2)
Requires: (php-composer(phar-io/manifest) >= 2.0.4 with php-composer(phar-io/manifest) < 3)
@@ -147,6 +140,11 @@ Recommends: phpunit11
# Fedora 40+ only for 8.3
%if 0%{?fedora} >= 40 || 0%{?rhel} >= 10
Recommends: phpunit12
+# remirepo:3
+%endif
+# Fedora 42+ only for 8.4
+%if 0%{?fedora} >= 42
+Recommends: phpunit13
# remirepo:1
%endif
# Autoloader
@@ -158,6 +156,8 @@ Requires: php-phar
%if 0%{?fedora} >= 39 || 0%{?rhel} >= 10
Provides: php-composer(phpunit/phpunit) = %{version}
+%endif
+%if %{with defcmd}
Provides: phpunit = %{version}-%{release}
%endif
@@ -173,7 +173,7 @@ Documentation: https://phpunit.de/documentation.html
%prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
%patch -P0 -p0 -b .rpm
find . -name \*.rpm -delete -print
@@ -256,7 +256,7 @@ sed -e 's:@PATH@:%{buildroot}%{php_home}/%{ns_vendor}:' -i tests/bootstrap.php
sed -e 's:%{php_home}/%{ns_vendor}:%{buildroot}%{php_home}/%{ns_vendor}:' -i phpunit
ret=0
-for cmd in php php82 php83 php84 php85; do
+for cmd in php php82 php83 php84 php85 php86; do
if which $cmd; then
$cmd ./phpunit $OPT || ret=1
fi
@@ -277,6 +277,9 @@ exit $ret
%changelog
+* Tue Jul 7 2026 Remi Collet <remi@remirepo.net> - 10.5.64-1
+- update to 10.5.64
+
* Tue Jan 27 2026 Remi Collet <remi@remirepo.net> - 10.5.63-1
- update to 10.5.63